> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Group Message Sent

> Trigger when a group message is posted in Slack

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "slack",
  "type": "SLACK_TRIGGER_GROUP_MESSAGE_POSTED",
  "parameters": {}
}
```

**Configuration options:**

This trigger does not require any configuration options.

## Example Payload

This is an example payload that Paragon sends to your configured webhook URL. Learn more about handling trigger payloads in [Receiving Webhooks](/actionkit/triggers/receiving-webhooks).

```json Example expandable theme={null}
{
  "type": "message",
  "client_msg_id": "mock-client-msg-id",
  "event_context": "mock-event-context",
  "team": "T05FCKSSGAK",
  "blocks": [
    {
      "block_id": "mock-block-id",
      "elements": [
        {
          "elements": [
            {
              "text": "mock-text",
              "type": "text"
            }
          ],
          "type": "rich_text_section"
        }
      ],
      "type": "rich_text"
    }
  ],
  "ts": "1682576941.441499",
  "user": "U02T23UL0R1",
  "text": "<@U02T23UL0R1> has joined the channel",
  "channel": "C0553690LQM",
  "event_ts": "1682576941.441499",
  "channel_type": "mpim"
}
```
